Bug 1013255 - python-keystoneclient fails to install w/o epel
python-keystoneclient fails to install w/o epel
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-keystone (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 16:40 EDT by wes hayutin
Modified: 2016-04-26 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 09:30:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2013-09-28 16:40:55 EDT
Description of problem:

---> Package python-setuptools_git.noarch 0:1.1dev-0.1.118.ff90fe9_27bcad0 will be installed
---> Package python-tempita.noarch 0:0.4-2.el6 will be installed
--> Finished Dependency Resolution
Error: Package: 1:python-keystoneclient-0.3.2.78.gbaa9490-0.1.598.baa9490_397c576.noarch (smokestack)
           Requires: python-requests
Error: Package: 1:python-keystoneclient-0.3.2.78.gbaa9490-0.1.598.baa9490_397c576.noarch (smokestack)
           Requires: python-d2to1
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-sqlalchemy0.7
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-passlib
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-routes1.12
Error: Package: python-migrate-0.7.2-8.el6.noarch (havana)
           Requires: python-sqlalchemy0.7
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-eventlet
Error: Package: python-pbr-0.5.21.17.g2f0b291-0.1.558.2f0b291_17c7964.noarch (smokestack)
           Requires: python-d2to1
Error: Package: python-dogpile-cache-0.5.1-0.1.186.3785f3b_f748d21.noarch (smokestack)
           Requires: python-dogpile-core >= 0.4.1
Error: Package: 1:python-oslo-config-1.2.0-0.4.a3.el6.noarch (havana)
           Requires: python-six
Error: Package: 1:python-keystoneclient-0.3.2.78.gbaa9490-0.1.598.baa9490_397c576.noarch (smokestack)
           Requires: python-httplib2 >= 0.7
           Installing: python-httplib2-0.6.0-4.el6_0.noarch (rhel-6-server-cf-tools-1-rpms)
               python-httplib2 = 0.6.0-4.el6_0
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-paste-deploy1.5
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-iso8601
Error: Package: python-keystone-2013.2.a79.g2f75699-0.1.3828.2f75699_51c0206.noarch (smokestack)
           Requires: python-six
Error: Package: 1:python-keystoneclient-0.3.2.78.gbaa9490-0.1.598.baa9490_397c576.noarch (smokestack)
           Requires: python-httplib2 >= 0.7
           Available: python-httplib2-0.6.0-4.el6_0.noarch (rhel-6-server-cf-tools-1-rpms)
               python-httplib2 = 0.6.0-4.el6_0
Error: Package: 1:python-keystoneclient-0.3.2.78.gbaa9490-0.1.598.baa9490_397c576.noarch (smokestack)
           Requires: python-prettytable
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@rhel6 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
rhel-6-server-cf-tools-1-rpms                                                                                                         | 2.8 kB     00:00     
rhel-6-server-optional-rpms                                                                                                           | 3.5 kB     00:00     
rhel-6-server-rhev-agent-rpms                                                                                                         | 3.1 kB     00:00     
rhel-6-server-rpms                                                                                                                    | 3.7 kB     00:00     
rhel-ha-for-rhel-6-server-rpms                                                                                                        | 3.7 kB     00:00     
rhel-lb-for-rhel-6-server-rpms                                                                                                        | 3.7 kB     00:00     
rhel-rs-for-rhel-6-server-rpms                                                                                                        | 3.7 kB     00:00     
repo id                                                 repo name                                                                                      status
havana                                                  OpenStack Havana Repo                                                                             409
packstack                                               packstack                                                                                           2
puppetlabs-deps                                         Puppet Labs Dependencies El 6 - x86_64                                                             49
puppetlabs-products                                     Puppet Labs Products El 6 - x86_64                                                                296
rhel-6-server-cf-tools-1-rpms                           Red Hat CloudForms Tools for RHEL 6 (RPMs)                                                         31
rhel-6-server-optional-rpms                             Red Hat Enterprise Linux 6 Server - Optional (RPMs)                                             6,249
rhel-6-server-rhev-agent-rpms                           Red Hat Enterprise Virtualization Agents for RHEL 6 Server (RPMs)                                  32
rhel-6-server-rpms                                      Red Hat Enterprise Linux 6 Server (RPMs)                                                       10,977
rhel-ha-for-rhel-6-server-rpms                          Red Hat Enterprise Linux High Availability (for RHEL 6 Server) (RPMs)                             269
rhel-lb-for-rhel-6-server-rpms                          Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) (RPMs)                                  11
rhel-rs-for-rhel-6-server-rpms                          Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) (RPMs)                             311
smokestack                                              OpenStack Smokestack Trunk                                                                        211
Comment 1 Perry Myers 2013-09-30 09:29:22 EDT
@weshay: RDO explicitly requires EPEL to work.  So this is actually NOTABUG I believe.

Note You need to log in before you can comment on or make changes to this bug.